Bug 123451 - the "." in the numeric keypad inputs '.' instead of ',' when using the kde5 VCL in Calc
Summary: the "." in the numeric keypad inputs '.' instead of ',' when using the kde5 V...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All Linux (All)
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:6.3.0 target:6.2.2
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-02-13 21:05 UTC by Albert Astals Cid
Modified: 2019-02-18 08:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Albert Astals Cid 2019-02-13 21:05:30 UTC
Description:
In Calc pressing the "." key on the numeric keypad should enter a ',' for languages that use , as the decimal separator

Steps to Reproduce:
0. Be using Catalan locate
1. Open calc
2. Press . in the numeric keypad


Actual Results:
See how a . appears

Expected Results:
See how a , appears


Reproducible: Always


User Profile Reset: No



Additional Info:
Works fine when using the SAL_USE_VCLPLUGIN=gtk3_kde5 environment variable
Comment 1 Albert Astals Cid 2019-02-13 21:06:10 UTC
"Catalan locate" -> "Catalan locale"
Comment 2 Michael Weghorn 2019-02-15 18:56:10 UTC
Confirmed with

Version: 6.3.0.0.alpha0+
Build ID: eaabda554c7ac5ec814f7eefdb1a57719e590e92
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

Using a German keyboard layout and an en_US or en_GB locale, the behaviour is exactly the other way round. There's a "," key in the numeric keypad and a literal "," is inserted even when using an English locale, where a "." should be inserted.
When using the gtk3 or gen VCL plugins instead, everything works as expected.
Comment 3 Michael Weghorn 2019-02-15 19:55:16 UTC
Change on Gerrit: https://gerrit.libreoffice.org/67886
Comment 4 Michael Weghorn 2019-02-15 19:57:23 UTC
Not sure if any other similar issues might arise with these or any other keys and locales, so if anybody knows of such, please speak up...
Comment 5 Commit Notification 2019-02-15 21:08:33 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5ad289b558c11fcef3dada51b873b5f48b9a2cab%5E%21

tdf#123451 qt5: Detect decimal separator on keypad

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Weghorn 2019-02-15 21:09:36 UTC
Pending backport for LO 6.2: https://gerrit.libreoffice.org/#/c/67888/
Comment 7 Commit Notification 2019-02-18 08:37:29 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/a02d1c9705bfd8cb0b03342bb717c8bbe3723461%5E%21

tdf#123451 qt5: Detect decimal separator on keypad

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.